> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/program/program-media.md).

# Program Media

The Program Media object allows vendors to add, view, or delete media from the object.

This object contains the following attributes:

<table><thead><tr><th width="152">Field</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>(Read-only) The business identifier of the <code>media</code> object. </td></tr><tr><td>name</td><td>string</td><td>(Read-only) The name of the <code>media</code> object. </td></tr><tr><td>description</td><td>string</td><td>A description of the <code>media</code> object. </td></tr><tr><td>type</td><td>string</td><td>The type of the <code>media</code> object. </td></tr><tr><td>displayOrder</td><td>integer</td><td>The display order of the <code>media</code> object.</td></tr><tr><td>status</td><td>string</td><td><p>The status of the document object. Allowed values are: </p><ul><li><code>Draft</code></li><li><code>Published</code></li><li><code>Unpublished</code></li><li><code>Deleted</code></li></ul></td></tr><tr><td>program</td><td>object</td><td>Represents the <a href="/pages/OzRwQwC6RejBVxYPk8St"><code>program</code></a> to which the media belongs.</td></tr><tr><td>audit</td><td>object</td><td>Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>a</code>udit</a> object.</td></tr></tbody></table>

## Example

{% code title="THE PROGRAM MEDIA OBJECT" overflow="wrap" lineNumbers="true" %}

```json
 {
    "id": "MED-1234-1234",
    "href": "v1/catalog/programs/media/MED-1234-1234",
    "name": "Microsoft AI Cloud Partner",
    "description": "Build a solid foundation with the support of workplace specialists who take the time to understand your unique business needs.",
    "type": "Image",
    "url": "https://address.to.media.file.pl/abcde.png",
    "displayOrder": 100,
    "state": "Draft",
    "program": {
        "id": "PRG-1111-1111",
        "href": "/catalog/programs/PRG-1111-1111",
        "name": "Microsoft Office 365 NCE",
        "icon": "/static/PRG-1111-1111/logo.png"
    },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/program/program-media.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
